services:
  nrel-app:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: nrel-2025
    restart: unless-stopped
    ports:
      - "3030:3030"
    environment:
      - NODE_ENV=production
      - NEXT_TELEMETRY_DISABLED=1
    networks:
      - nrel-network
    healthcheck:
      test: ["CMD", "node", "-e", "require('http').get('http://localhost:3030', (r) => {process.exit(r.statusCode === 200 ? 0 : 1)})"]
      interval: 30s
      timeout: 10s
      retries: 3
      start_period: 40s

networks:
  nrel-network:
    driver: bridge

